#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 6. Editors

- Prev

  JOE-4.6

- Next

  Mousepad-0.5.2

- Up
- Home

# Kate-20.12.2

## Introduction to Kate

The Kate package contains an advanced KF5 based graphical text editor.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/20.12.2/src/kate-20.12.2.tar.xz

- Download MD5 sum: 5d6be348636d431b05916e49cc22defb

- Download size: 5.6 MB

- Estimated disk space required: 109 MB

- Estimated build time: 0.9 SBU (using parallelism=4)

### Kate Dependencies

#### Required

KDE Frameworks-5.79.0

#### Optional

libgit2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/kate5

## Installation of Kate

Install Kate by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX  \
          -DCMAKE_BUILD_TYPE=Release          \
          -DBUILD_TESTING=OFF                 \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kate and kwrite
Installed Libraries: Several plugins under $KF5_PREFIX/lib/plugins
Installed Directories: $KF5_PREFIX/lib/plugins/ktexteditor, $KF5_PREFIX/lib/plugins/plasma/dataengine, $KF5_PREFIX/share/doc/HTML/*/{kate,katepart,kwrite}, $KF5_PREFIX/share/{kateproject,katexmltools}, and $KF5_PREFIX/share/plasma/plasmoids/org.kde.plasma.katesessions

### Short Descriptions

kate | is an advanced text editor for kde
kwrite | is a text editor for KDE, that is a light version of kate

Last updated on 2021-02-24 06:51:33 -0800

- Prev

  JOE-4.6

- Next

  Mousepad-0.5.2

- Up
- Home